import React from "react";

import { HeadingTitle } from "../_reusables";
import PitchThumb from "../../assets/applicant-video-record.png";
import "./_Instructions.scss";
import Skeleton from "react-loading-skeleton";

const Instructions = ({ loading }) => {
  return (
    <div className="instuctions-container">
      <HeadingTitle
        text="Create your pitch video"
        isPrimaryColor
        loading={loading}
      />
      {loading ? (
        <div className="instruction-skeleton">
          {/* <div>
            <Skeleton width={80} height={83} />
          </div> */}
          <div>
            <p>
              <Skeleton width={"100%"} count={2} />
            </p>
            <p>
              <Skeleton width={"100%"} count={2} />
            </p>
            <p>
              <Skeleton width={"100%"} count={1} />
            </p>
            <p>
              <Skeleton width={"100%"} count={3} />
            </p>
            <p>
              <Skeleton width={"100%"} count={1} />
            </p>
            <p>
              <Skeleton width={"100%"} count={3} />
            </p>
            <p>
              <Skeleton width={"100%"} count={1} />
            </p>
            <p>
              <Skeleton width={"100%"} count={3} />
            </p>
          </div>
        </div>
      ) : (
        <div className="instruction-text-container">
          {/* <div>
            <img src={PitchThumb} alt="Thumb" />
          </div> */}
          <div>
            <p>
              As a final step, we want you to create a short pitch video about
              yourself (no longer than a minute). This will help your potential
              manager assess why you are the best match for the role and help
              you secure an interview.
            </p>
            <p>
              Watch and finish the video guide below to get started. You will
              not be able to proceed without going through this step. Don’t
              worry about getting it right the first time. You have the option
              to record a new pitch.
            </p>
            <p>Here are a few tips: </p>
            <p>
              SPEAK WITH CONFIDENCE.
              <br />
              There is no better way to sell yourself than highlighting your
              skills, achievements,experiences, and goals with confidence!
            </p>
            <p>
              DRESS TO IMPRESS.
              <br />
              Just because you are applying for a remote position doesn’t mean
              you can show up in a hoodie or t-shirt. Put on
              professional-looking attire such as a well-ironed button-down
              shirt. Also pay attention to your lighting, audio quality, and
              background.
            </p>
            <p>
              BE CONCISE AND HIGHLIGHT YOUR TALENT
              <br />
              It turns employers off when a candidate reverts to a monologue.
              You can prep beforehand but stick to discussing the role, previous
              experiences, or career aspirations. Make it conversational and
              answer the question clearly.
            </p>
          </div>
        </div>
      )}
    </div>
  );
};

export default Instructions;
