import React, { useContext } from "react";

import { ButtonGeneric } from "../_reusables";
import { RecordingContext } from "../../context";
import "./_NextStep.scss";

const NextStep = ({ startOptional }) => {
  const { handleClick, isSaving } = useContext(RecordingContext);
  return (
    <div className="next-step-container">
      <div className="next-step-text">
        <p>
          For this part, you’ll be asked 3 random questions and you need to
          record a quick answer.
        </p>
        <p>
          This part is optional but we strongly recommend that you do this
          because this will help potential hiring managers get to know you
          better. Unlike in your pitch video, you won’t be able to re-record
          these videos, but don’t worry! There are no right or wrong answers.
        </p>
        <p>
          When you’re ready, press start to begin, answer the question below,
          and click done to submit. Good luck!
        </p>
        <p>Click skip if you do not want to do this part.</p>
      </div>
      <div className="next-step-cta">
        <ButtonGeneric
          text="Start"
          size="small"
          hasOutline={true}
          event={startOptional}
        />
        <ButtonGeneric
          text={isSaving ? "Saving..." : "Skip this step"}
          size="small"
          hasOutline={true}
          color="blue"
          event={handleClick}
          loading={isSaving}
          disabled={isSaving}
        />
      </div>
    </div>
  );
};

export default NextStep;
