import React, { useEffect } from "react";

import "./_Timer.scss";

const Timer = ({ initLength, setInitLength }) => {
  const timer = () => setInitLength(initLength - 1);

  useEffect(() => {
    if (initLength === 0) {
      return;
    }

    const time = setInterval(timer, 1000);

    return () => clearInterval(time);
  }, [initLength]);

  return (
    <span className="timer-display">
      {initLength === 60
        ? "01:00"
        : `00:${
            String(initLength).length === 2 ? initLength : `0${initLength}`
          }`}
    </span>
  );
};

export default Timer;
