import React, { useContext, useState, useRef } from "react";
import Swal from "sweetalert2";

import { RecordingContext, DataContext } from "../../context";
import { getUserData } from "../../utils/Common";
// import { ButtonGeneric } from "../_reusables";
// import { deletePitchRecording } from "../../api";

import "./_VideoPreview.scss";

const VideoPreview = ({
  pitch_question_id,
  pitch_question,
  url,
  hasCta,
  noMargin,
}) => {
  const userData = useContext(DataContext);
  const [isPlay, setPlay] = useState(false);
  const videoRef = useRef();

  const handlePlay = () => {
    setPlay(true);
    videoRef.current.play();
  };

  return (
    <div className={`record-preview ${noMargin ? "noMargin" : ""}`}>
      <div className="video-preview">
        {!isPlay && (
          <>
            {/* <p>{pitch_question}</p> */}
            <div className="preview-overlay"></div>
            <div className="play-btn" onClick={handlePlay}>
              Play
            </div>
          </>
        )}
        <video
          ref={videoRef}
          src={url}
          controls={isPlay}
          controlsList="nodownload"
          height={370}
          // type="video/webm"
          playsInline
        />
      </div>

      {/* {hasCta && (
        <div className="record-preview-cta-container">
          <ButtonGeneric
            text={isDelete ? "Deleting" : "Delete Video"}
            disabled={isDelete}
            loading={isDelete}
            hasOutline={true}
            size="small"
            event={handleDelete}
          />
        </div>
      )} */}
    </div>
  );
};

export default VideoPreview;
